Bug 29971 - ananconda dumps at end of package install
Summary: ananconda dumps at end of package install
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-28 04:56 UTC by Curtis Doty
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-10 22:05:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Curtis Doty 2001-02-28 04:56:04 UTC
I was looking the other direction, but it was almost done and then...boom. 
Had twiddled with alot... expert text .. X, but no Gnome or KDE .. no clue 
why the file io error.

Traceback (innermost last):
  File "/usr/bin/anaconda", line 509, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1191, in run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 620, in 
__call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1848, in 
doInstall
    self.fstab.write (self.instPath)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/fstab.py", line 841, in 
write
    f = open (prefix + "/etc/fstab", "w")
IOError: [Errno 2] No such file or directory: '/mnt/sysimage/etc/fstab'

Local variables in innermost frame:
format: %-23s %-23s %-7s %-15s %d %d

prefix: /mnt/sysimage
self: <fstab.NewtFstab instance at 8260f68>

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
(itext
ProgressWindow
(dp5
S'scale'
p6
(isnack
Scale
(dp7
S'w'

<failed>

Comment 1 Michael Fulbright 2001-02-28 15:14:27 UTC
Are there any error messages on VC3 or VC4?

Comment 2 Curtis Doty 2001-03-04 21:04:42 UTC
Still trying to reproduce.

Comment 3 Igor 2001-03-11 12:39:27 UTC
I got like error:

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 509, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1191, in run
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 620, in __call__
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1823, in 
doInstall
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/harddrive.py", line 189, in 
filesDone
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/harddrive.py", line 116, in 
umountMedia
  File "/usr/lib/anaconda/isys.py", line 123, in umount
    rc = _isys.umount(what)
SystemError: (16, 'Device or resource busy')

Local variables in innermost frame:
what: /tmp/hdimage
removeDir: 1

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
(itext
ProgressWindow
(dp5
S'scale'
p6
(isnack
Scale
(dp7
S'w'

<failed>


Comment 4 Michael Fulbright 2001-03-20 17:33:48 UTC
Any success reproducing this issue?

Comment 5 Brent Fox 2001-04-10 22:05:39 UTC
Closing due to inactivity.  Please reopen if you have any more info.


Note You need to log in before you can comment on or make changes to this bug.